package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutSelectProjectStopBo extends  OutSelectProjectStop{

    @Excel(name = "时间")
    private String createTimes;
    @Excel(name = "派单省份")
    private String province;
    @Excel(name = "合同编号")
    private String contractNo;
    @Excel(name = "订单编号")
    private String orderNo;
    @Excel(name = "签单客户")
    private String userName;
    @Excel(name = "项目类型")
    private String cname;
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "数量")
    private Integer commodityQuantity;
    @Excel(name = "服务类型")
    private String serviceType;
    @Excel(name = "营销员")
    private String salesmanName;
    @Excel(name = "咨询师/咨询师经理")
    private String receiverName;
    @Excel(name = "项目状态")
    private String statusName;
    private Integer status;
    @Excel(name = "项目金额")
    private BigDecimal commodityPrice;
    @Excel(name = "原因")
    private String reason;
    private Integer stopType;
    private Integer stopStatus;


    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    @Override
    public Integer getStopType() {
        return stopType;
    }

    @Override
    public void setStopType(Integer stopType) {
        this.stopType = stopType;
    }

    @Override
    public Integer getStopStatus() {
        return stopStatus;
    }

    @Override
    public void setStopStatus(Integer stopStatus) {
        this.stopStatus = stopStatus;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @Override
    public String getCreateTimes() {
        return createTimes;
    }

    @Override
    public void setCreateTimes(String createTimes) {
        this.createTimes = createTimes;
    }

    @Override
    public String getProvince() {
        return province;
    }

    @Override
    public void setProvince(String province) {
        this.province = province;
    }

    @Override
    public String getContractNo() {
        return contractNo;
    }

    @Override
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    @Override
    public String getOrderNo() {
        return orderNo;
    }

    @Override
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String getUserName() {
        return userName;
    }

    @Override
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getCname() {
        return cname;
    }

    @Override
    public void setCname(String cname) {
        this.cname = cname;
    }

    @Override
    public String getProjectName() {
        return projectName;
    }

    @Override
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public Integer getCommodityQuantity() {
        return commodityQuantity;
    }

    @Override
    public void setCommodityQuantity(Integer commodityQuantity) {
        this.commodityQuantity = commodityQuantity;
    }

    @Override
    public String getServiceType() {
        return serviceType;
    }

    @Override
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    @Override
    public String getReceiverName() {
        return receiverName;
    }

    @Override
    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    @Override
    public Integer getStatus() {
        return status;
    }

    @Override
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public BigDecimal getCommodityPrice() {
        return commodityPrice;
    }

    @Override
    public void setCommodityPrice(BigDecimal commodityPrice) {
        this.commodityPrice = commodityPrice;
    }

    @Override
    public String getReason() {
        return reason;
    }

    @Override
    public void setReason(String reason) {
        this.reason = reason;
    }


}
